> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Event Icon

> Update an event icon.



## OpenAPI

````yaml put /user/event-icons/{icon_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/event-icons/{icon_id}:
    put:
      tags:
        - provider
        - user
      summary: Update Event Icon
      description: Update an event icon.
      operationId: update_event_icon_user_event_icons__icon_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: icon_id
          in: path
          required: true
          schema:
            type: string
            title: Icon Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventIconUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventIconSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EventIconUpdate:
      properties:
        emoji:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          title: Emoji
          description: Emoji for the icon
        color:
          anyOf:
            - type: string
              maxLength: 7
            - type: 'null'
          title: Color
          description: Color code for the icon (hex format)
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
          description: Whether the icon is active
      type: object
      title: EventIconUpdate
    EventIconSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the event icon
        iconType:
          $ref: '#/components/schemas/EventIcon'
          description: Type of event icon
        emoji:
          type: string
          title: Emoji
          description: Emoji for the icon
        color:
          type: string
          title: Color
          description: Color code for the icon (hex format)
        isActive:
          type: boolean
          title: Isactive
          description: Whether the icon is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date and time when the icon was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date and time when the icon was last updated
      type: object
      required:
        - id
        - iconType
        - emoji
        - color
        - isActive
        - createdDate
      title: EventIconSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EventIcon:
      type: string
      enum:
        - BOOKING_FEE_PAID
        - NEW_PATIENT
        - SCHEDULED_BY_AI
        - FORM_COMPLETED
        - CHECKED_IN
      title: EventIcon
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````